/*
 * IndActionConsumer
 *
 * (C) Copyright IBM Corp. 2002
 * 
 * THIS FILE IS PROVIDED UNDER THE TERMS OF THE COMMON PUBLIC LICENSE 
 * ("AGREEMENT"). ANY USE, REPRODUCTION OR DISTRIBUTION OF THIS FILE 
 * CONSTITUTES RECIPIENTS ACCEPTANCE OF THE AGREEMENT.
 *
 * You can obtain a current copy of the Common Public License from
 * http://oss.software.ibm.com/developerworks/opensource/license-cpl.html
 *
 * Author: Viktor Mihajlovski <mihajlov@de.ibm.com>
 * Contributors:
 *
 * Description: The action cosnumer class.
 */

package com.ibm.wbem.evsub;

import org.snia.wbem.client.*;

public class IndActionConsumer implements IndConsumer {
    IndAction action;
    public IndActionConsumer(IndAction act) {
	action=act;
    }
    public void processIndication(CIMEvent event) {
	action.process(event);
    }
};
