/*
 * IndSubscription.java
 *
 * (C) Copyright IBM Corp. 2002
 * 
 * THIS FILE IS PROVIDED UNDER THE TERMS OF THE COMMON PUBLIC LICENSE 
 * ("AGREEMENT"). ANY USE, REPRODUCTION OR DISTRIBUTION OF THIS FILE 
 * CONSTITUTES RECIPIENTS ACCEPTANCE OF THE AGREEMENT.
 *
 * You can obtain a current copy of the Common Public License from
 * http://oss.software.ibm.com/developerworks/opensource/license-cpl.html
 *
 * Author: Viktor Mihajlovski <mihajlov@de.ibm.com>
 * Contributors:
 *
 * Description: Complete subscription: namespace, filter and consumer
 */

package com.ibm.wbem.evsub;

import org.snia.wbem.cim.*;

public class IndSubscription {
    public CIMNameSpace namespace;
    public String filter;
    public IndConsumer consumer;
    public IndSubscription(CIMNameSpace ns, String f, IndConsumer ic) {
	namespace=ns;
	filter=f;
	consumer=ic;
    }
};
