
/*
 * indprovider.h
 *
 * (C) Copyright IBM Corp. 2004
 *
 * THIS FILE IS PROVIDED UNDER THE TERMS OF THE COMMON PUBLIC LICENSE
 * ("AGREEMENT"). ANY USE, REPRODUCTION OR DISTRIBUTION OF THIS FILE
 * CONSTITUTES RECIPIENTS ACCEPTANCE OF THE AGREEMENT.
 *
 * You can obtain a current copy of the Common Public License from
 * http://oss.software.ibm.com/developerworks/opensource/license-cpl.html
 *
 *    Author: Rajarshi Das <rajarshi@in.ibm.com>
 *
 * Description: Header for the CIM provider for Event Log Analysis.
 */


# include <stdio.h>
# include <string.h>
# include <stdlib.h>
# include <unistd.h>
# include <pthread.h>
# include <time.h>
# include <sys/un.h>
# include <sys/socket.h>
# include <errno.h>
# include <unistd.h>
# include <sys/stat.h>
# include <sys/types.h>
# include <fcntl.h>
# include <signal.h>
# include <dirent.h>
# include <setjmp.h>
# include <signal.h>
# include <assert.h>
# include <grp.h>
# include <pwd.h>
# include <sys/wait.h>


#define EVLOG_STATE_DIR         "/var/lib/evlog"
#define ELA_REPORT_DIR          EVLOG_STATE_DIR "/ela_report"
#define PLATFORM_ELA_DATA_DIR   "/etc/diagela/data"

struct ela_rep 
{ 
		char datetime[100];
		char srn[100];
		char srnerrortext[100];
		char menunumber[100];
		char menugoalerrortext[2000];
		char location[20];
		char partnumber[20];
		char errorlogseqno[10]; 
};

typedef struct ela_rep elareport;

void fill_ela_report(char* filename,elareport* elar);
